import createAxios from '/@/utils/axios'
import { useAdminInfo } from '/@/stores/adminInfo'

export function index() {
    return createAxios({
        url: '/api/auth/portal/menu',
        method: 'get',
    })
}

export function userinfo() {
    return createAxios({
        url: '/api/auth/token/info',
        method: 'get',
    })
}

export function login(method: 'get' | 'post', params: object = {}) {
    return createAxios({
        url: '/api/auth/token/invoke',
        data: params,
        method: method,
    })
}

export function logout() {
    // const adminInfo = useAdminInfo()
    return createAxios({
        url: '/api/auth/token/revoke',
        method: 'POST',
    })
}
